Kullanıcılar
Kullanıcı ara
GET /v1/users/search reads 2 kredi
Kişi araması: bir ada, kullanıcı adına veya biyografi sözcüklerine uyan hesaplar, en iyi eşleşmeler önce.
Sorgu parametreleri
| Sorgu parametresi | Tür | Anlamı |
|---|---|---|
q * | string | Ad, kullanıcı adı veya biyografi sözcükleri |
count | int 1–100 = 20 | İstenen sayfa boyutu; X bunu ipucu olarak değerlendirir |
cursor | string | Önceki sayfanın next_cursor değerinden |
yanıt
query, bir sayfa tam kullanıcı kaydı ve bir imleç (sonda null). Alan alan: Kullanıcı.
Durum: 200, 400, 429, 502
istek
curl https://api.xsignalfeed.com/v1/users/search?q=reuters&count=20 \ -H "Authorization: Bearer xsf_your_key"
yanıt · 200 / 400
{
"query": "reuters",
"users": [
{
"id": "1652541",
"screen_name": "Reuters",
"name": "Reuters",
"bio": "Top and breaking news, pictures and videos from Reuters…",
"avatar": "https://pbs.twimg.com/profile_images/…",
"banner": "https://pbs.twimg.com/profile_banners/1652541/…",
"followers": 26367698,
"following": 1195,
"tweets": 1395836,
"location": "Around the world",
"url": "https://t.co/…",
"verified": true,
"verified_type": "Business",
"protected": false,
"created_at": "2007-03-20T17:46:05Z",
"category": "Media & News Company"
},
{
"…": "…"
}
],
"next_cursor": "DAAFCgABHSYySrM__6MLAAIAAACIRW1QQzZ3QUFBZlEvZ0dKTjB2R3AvQUFBQUFvQUFBQUFFLzZsVWd…"
}